Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\Features\Context\ExceptionContext Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Features\Context\ExceptionContext:

## Public Member Functions
| iAmNotLoggedIn ()
| @Given /^that I am not logged in$/ More...
| iAmLoggedIn ()
| @Given /^that I am logged in$/ More...
| anExceptionIsThrownDuringAnHTTPRequest ()
| @When /^a repository UnauthorizedException is thrown during an HTTP request$/ More...
| itIsConvertedToAnSymfonyComponentSecurityCoreExceptionAccessDeniedException ()
| @Then /^it is converted to a Symfony Security AccessDeniedException$/ More...
| theLoginFormIsShown ()
| @Given /^the login form is shown$/ More...
| anAccessDeniedExceptionIsThrown ($exceptionString)
| @Then /^(?:a|an) ([\w\]+Exception) is displayed$/ More...

## Detailed Description

Definition at line 14 of file ExceptionContext.php.

## Member Function Documentation

## ◆ anAccessDeniedExceptionIsThrown()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ExceptionContext::anAccessDeniedExceptionIsThrown | ( |  | $exceptionString | ) |

@Then /^(?:a|an) ([\w\]+Exception) is displayed$/

Definition at line 62 of file ExceptionContext.php.

## ◆ anExceptionIsThrownDuringAnHTTPRequest()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ExceptionContext::anExceptionIsThrownDuringAnHTTPRequest | ( |  | ) |

@When /^a repository UnauthorizedException is thrown during an HTTP request$/

Definition at line 38 of file ExceptionContext.php.

## ◆ iAmLoggedIn()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ExceptionContext::iAmLoggedIn | ( |  | ) |

@Given /^that I am logged in$/

Definition at line 27 of file ExceptionContext.php.

## ◆ iAmNotLoggedIn()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ExceptionContext::iAmNotLoggedIn | ( |  | ) |

@Given /^that I am not logged in$/

Definition at line 19 of file ExceptionContext.php.

## ◆ itIsConvertedToAnSymfonyComponentSecurityCoreExceptionAccessDeniedException()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ExceptionContext::itIsConvertedToAnSymfonyComponentSecurityCoreExceptionAccessDeniedException | ( |  | ) |

@Then /^it is converted to a Symfony Security AccessDeniedException$/

Definition at line 46 of file ExceptionContext.php.

## ◆ theLoginFormIsShown()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ExceptionContext::theLoginFormIsShown | ( |  | ) |

@Given /^the login form is shown$/

Definition at line 54 of file ExceptionContext.php.

The documentation for this class was generated from the following file:

- ExceptionContext.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.